#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

# Because of missing cmake(KF5MailCommon)
ExcludeArch:    armv5tl

%define rel 5

Name:       pim-data-exporter
Summary:    Application to assist you with backing up and archiving PIM data
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Test)

# Find KF5 package
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Crash)

# Find KdepimLibs Package
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5CalendarSupport)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5AlarmCalendar)

BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5MailTransport)

Obsoletes:     kdepim-core < 2:16.12.3-1
Provides:      kdepim-core = %epoch:%version-%release

Obsoletes:     kdepim4-core < 2:16.12.3-1
Provides:      kdepim4-core = %epoch:%version-%release

%description
Application to assist you with backing up and archiving PIM data, including the necessary 
configuration, for archival or transfer to another computer

%files
%_sysconfdir/xdg/pimsettingexporter.categories
%_sysconfdir/xdg/pimsettingexporter.renamecategories
%_kf5_bindir/pimsettingexporter
%_kf5_bindir/pimsettingexporterconsole
%_kf5_datadir/applications/org.kde.pimsettingexporter.desktop
%_kf5_datadir/config.kcfg/pimsettingexporterglobalconfig.kcfg
%_kf5_datadir/kconf_update/pimsettingexporter-15.08-kickoff.sh
%_kf5_datadir/kconf_update/pimsettingexporter.upd

#------------------------------------------------------------------------------

%define pimsettingexporterprivate_major 5
%define libpimsettingexporterprivate %mklibname pimsettingexporterprivate %pimsettingexporterprivate_major

%package -n %libpimsettingexporterprivate
Summary: KDEPIM library
Group: System/Libraries

%description -n %libpimsettingexporterprivate
KDEPIM library.

%files -n %libpimsettingexporterprivate
%_kf5_libdir/libpimsettingexporterprivate.so.%{pimsettingexporterprivate_major}*

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
BuildArch:      noarch

Conflicts:      kde-l10n < 15.08.0 

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/pimsettingexporter

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Mon Mar 20 2017 neoclust <neoclust> 2:16.12.3-5.mga6
+ Revision: 1093717
- Obsolete kdepim4-core

* Sun Mar 19 2017 neoclust <neoclust> 2:16.12.3-4.mga6
+ Revision: 1093557
- Try to ease upgrade

* Mon Mar 13 2017 neoclust <neoclust> 2:16.12.3-3.mga6
+ Revision: 1092360
- Add conflicts to ease upgrade

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1091978
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090170
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076912
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075100
- imported package pim-data-exporter

